<?php

namespace Okawari\JobLogging;

use App\Models\JobLog;
use Monolog\LogRecord;
use Monolog\Processor\ProcessorInterface;

class JobProcessor implements ProcessorInterface
{


    public function __construct(public JobLog $log)
    {
    }

    public function __invoke(LogRecord $record)
    {
        $line = "[{$record->level->getName()}] $record->datetime: $record->message";
        $this->log->output = "{$this->log->output}$line\r\n";
        return $record;
    }


}
